%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          libgtkmm2
Version:       2.24.5
Release:       3mamba
Summary:       gtkmm is the official C++ interface for the popular GUI library GTK+
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/directory/development/development/
Source:        http://ftp.gnome.org/pub/GNOME/sources/gtkmm/%{majversion}/gtkmm-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libatkmm1-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm10-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglibmm24-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpangomm1-devel
BuildRequires: libsigc++2-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig >= 0.15.0

%description
Gtkmm (previously known as Gtk--) is the official C++ interface for the popular GUI library GTK+. It closely follows GTK+ development.
Highlights include typesafe callbacks, widgets extensible via inheritance and a comprehensive set of widget classes that can be freely combined to quickly create complex user interfaces.

%package devel
Summary:       Devel package for %{name} 
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
gtkmm (previously known as Gtk--) is the official C++ interface for the popular GUI library GTK+. It closely follows GTK+ development.
Highlights include typesafe callbacks, widgets extensible via inheritance and a comprehensive set of widget classes that can be freely combined to quickly create complex user interfaces.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n gtkmm-%{version}

%build
%configure
%make CXXFLAGS="${CXXFLAGS} -std=gnu++11"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgdkmm-2.4.so.*
%{_libdir}/libgtkmm-2.4.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gdkmm-2.4
%{_includedir}/gdkmm-2.4/*
%dir %{_includedir}/gtkmm-2.4
%{_includedir}/gtkmm-2.4/*
%{_libdir}/libgdkmm-2.4.so
%{_libdir}/libgtkmm-2.4.so
%dir %{_libdir}/gtkmm-?.?/include
%{_libdir}/gtkmm-?.?/include/*.h
%{_libdir}/gdkmm-?.?/include/gdkmmconfig.h
%{_libdir}/gtkmm-?.?/proc/m4/*.m4
%{_datadir}/devhelp/books/gtkmm-2.4
%{_libdir}/pkgconfig/gdkmm-2.4.pc
%{_libdir}/pkgconfig/gtkmm-2.4.pc
%dir %{_docdir}/gtkmm-2.4
%{_docdir}/gtkmm-2.4/images
%{_docdir}/gtkmm-2.4/reference

%changelog
* Sat May 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.5-3mamba
- rebuilt with debug package and specfile fixes

* Fri Nov 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.5-2mamba
- rebuild to update libtool archives

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 2.24.5-1mamba
- automatic update by autodist

* Thu Dec 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.4-2mamba
- rebuilt with gcc 5.2.0

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 2.24.4-1mamba
- automatic version update by autodist

* Sun Apr 07 2013 Automatic Build System <autodist@mambasoft.it> 2.24.3-1mamba
- update to 2.24.3

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-1mamba
- update to 2.24.2

* Sun Oct 24 2010 Automatic Build System <autodist@mambasoft.it> 2.22.0-1mamba
- automatic update to 2.22.0 by autodist

* Sat Jun 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.3-2mamba
- documentation moved to devel package

* Tue Jun 01 2010 Automatic Build System <autodist@mambasoft.it> 2.20.3-1mamba
- automatic update to 2.20.3 by autodist

* Thu Aug 13 2009 Automatic Build System <autodist@mambasoft.it> 2.14.5-1mamba
- automatic update by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.14.3-2mamba
- automatic rebuild by autodist

* Mon Dec 01 2008 gil <puntogil@libero.it> 2.14.3-1mamba
- update to 2.14.3

* Thu Jun 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.6-1mamba
- update to 2.12.6

* Thu Jun 15 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.8.8-1qilnx
- update to version 2.8.8 by autospec
- fixed group of devel package

* Mon Aug 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.4-1qilnx
- update to version 2.6.4 by autospec
- update dynamic linker run time bindings
 
* Thu Dec 16 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.4.8-2qilnx
- specfile cleanups
- package rebuild and moved to QiLinux official repository

* Wed Dec 15 2004 Matteo Bernasconi <voyagernm@virgilio.it> 2.4.8-1qilnx
- updated to new version

* Sun Feb 29 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.9-1qilnx
- first build
